/* OS/2 REXX -- PATCHPAK TOOLKIT */

PSpec = 'HTML Studio 1.1'
FSpec = 'HTMLSTUD.DLL'

Say ''
Say 'This will patch' PSpec
Say ''
say 'A DBL-CLK on the Help/Product Information dialog box will'
say 'allow you to register in any name and serial number...:)'
say ''
Say 'If you like it...buy it! Support quality OS/2 Software...'
Say '...meantime tho....have Phun! :)'
Say ''
Say 'AQPFEPO by SafeHex...all the way from New Delhi, India :)'
Say 'BTW, AQPFEPO = Another Quality Patch For Educational Purposes Only! :>'
Say ''
Say ''

If ( Stream( FSpec, 'c', 'Query Exists' ) = '' ) Then Do
	Say 'USAGE: Just run this in the installed' PSpec 'Directory!'
	Exit
End

Say 'Patching' PSpec'...'

t = CharIn(FSpec, 145953, 16)
If c2x(t) \= 'A1089A0700C38B442404A3089A0700C3' Then Do
	Say 'Verification Check #1 Failed...'
	Exit
End

t = CharIn(FSpec, 161617, 16)
If c2x(t) \= '755C8B5DF02B5DF4DD051C000500895D' Then Do
	Say 'Verification Check #2 Failed...'
	Exit
End

Call CharOut FSpec, x2c('A1089A0700908B442404A3089A0700C3'), 145953
Call CharOut FSpec, x2c('EB5C8B5DF02B5DF4DD051C000500895D'), 161617

Say 'Patches applied to' PSpec
Say ''
Say 'Feel the POWER -- OS/2 REXX!'
Say 'Have Phun! Compliments of a desperate SafeHex :)'
